/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务字典枚举类
 *
 * @author Chill
 */
@Getter
@AllArgsConstructor
public enum DictBizEnum {

	/**
	 * 测试
	 */
	TEST("test"),

	/**
	 * 用户状态
	 */
	USER_STATE("user_state"),

	/**
	 * 数据来源
	 */
	DATA_SRC("data_src"),

	/**
	 * 酒票类型
	 */
	TICKET_TYPE("ticket_type"),

	/**
	 * 支付状态
	 */
	PAY_FLAY("pay_flag"),

	/**
	 * 订单类型
	 */
	ORDER_TYPE("order_type"),

	/**
	 * 订单状态
	 */
	ORDER_STATE("order_state"),

	/**
	 * 配送方式
	 */
	DISTRIBUTE_MODE("distribute_mode"),
	/**
	 * 广告类型
	 */
	ADS_TYPE("ads_type"),

	/**
	 * 支付标识
	 */
	PAY_FOR("pay_for"),

	/**
	 * 审核状态
	 */
	EXAM_STATUE("exam_status"),

	/**
	 * 寄售状态
	 */
	CONSIGN_STATE("consign_state"),

	/**
	 * 寄售来源
	 */
	CONSIGN_FOR("consign_for"),

	/**
	 * 寄售类型
	 */
	CONSIGN_TYPE("consign_type"),

	/**
	 * 升级类型
	 */
	UPGRADE_TYPE("upgrade_type"),

	/**
	 * 确认状态
	 */
	IS_CONFIRM("is_confirm"),

	/**
	 * 授权状态
	 */
	AUTH_STATE("auth_state"),

	/**
	 * 是否打款
	 */
	IS_REMITTANCE("is_remittance"),

	;

	final String name;

}
